Description: <short summary of the patch>
Author: PICCORO Lenz McKAY <mckaygerhard@gmail.com>
Last-Update: 2023-11-14

--- jgmenu-4.4.1.orig/data/jgmenu.desktop
+++ jgmenu-4.4.1/data/jgmenu.desktop
@@ -3,9 +3,11 @@ Type=Application
 Encoding=UTF-8
 Name=jgmenu
 GenericName=Application Menu
+GenericName[es]=Мenu aplicaciones
 GenericName[ru]=Меню приложений
 GenericName[sv]=Program Meny
 Comment=Displays menu for launching installed applications
+Comment[es]=Despliega un menu para lanzar aplicaciones
 Comment[ru]=Отображает меню для запуска установленных приложений
 Comment[sv]=Visar meny för installerade program
 Exec=jgmenu_run
--- jgmenu-4.4.1.orig/data/schema
+++ jgmenu-4.4.1/data/schema
@@ -1,10 +1,12 @@
 Name=Accessories
 Name[sv]=Tillbehör
+Name[es]=Accesorios
 Icon=applications-accessories
 Categories=Accessibility;Core;Utility;
 
 Name=Development
 Name[sv]=Utveckling
+Name[es]=Desarrollo
 Icon=applications-development
 Categories=Development;
 
--- jgmenu-4.4.1.orig/src/config.c
+++ jgmenu-4.4.1/src/config.c
@@ -20,12 +20,12 @@ void config_set_defaults(void)
 {
 	config.spawn		   = 1;	/* not in jgmenurc */
 	config.verbosity	   = 0;
-	config.stay_alive	   = 1;
+	config.stay_alive	   = 0;
 	config.persistent          = 0;
 	config.hide_on_startup	   = 0;
 	config.csv_cmd		   = xstrdup("apps");
 	config.tint2_look	   = 0;
-	config.position_mode	   = POSITION_MODE_FIXED;
+	config.position_mode	   = POSITION_MODE_PTR;
 	config.respect_workarea	   = 1;	/* set in config_post_process() */
 	config.edge_snap_x	   = 30;
 	config.terminal_exec	   = xstrdup("x-terminal-emulator");
@@ -43,11 +43,11 @@ void config_set_defaults(void)
 	config.menu_height_max	   = 0;
 	config.menu_height_mode	   = CONFIG_STATIC;
 	config.menu_padding_top	   = 5;
-	config.menu_padding_right  = 5;
-	config.menu_padding_bottom = 5;
-	config.menu_padding_left   = 5;
-	config.menu_radius	   = 1;
-	config.menu_border	   = 0;
+	config.menu_padding_right  = 1;
+	config.menu_padding_bottom = 1;
+	config.menu_padding_left   = 1;
+	config.menu_radius	   = 0;
+	config.menu_border	   = 1;
 	config.menu_halign	   = LEFT;
 	config.menu_valign	   = BOTTOM;
 	config.menu_gradient_pos   = ALIGNMENT_NONE;
@@ -60,10 +60,10 @@ void config_set_defaults(void)
 	config.sub_hover_action    = 1;
 
 	config.item_margin_x	   = 3;
-	config.item_margin_y	   = 3;
+	config.item_margin_y	   = 2;
 	config.item_height	   = 25;
 	config.item_padding_x	   = 4;
-	config.item_radius	   = 1;
+	config.item_radius	   = 0;
 	config.item_border	   = 0;
 	config.item_halign	   = LEFT;
 
@@ -73,7 +73,7 @@ void config_set_defaults(void)
 
 	config.font		   = NULL; /* Leave as NULL (see font.c) */
 	config.font_fallback	   = xstrdup("xtg");
-	config.icon_size	   = 22;
+	config.icon_size	   = 16;
 	config.icon_text_spacing   = 10;
 	config.icon_norm_alpha	   = 100;
 	config.icon_sel_alpha	   = 100;
--- jgmenu-4.4.1.orig/src/jgmenu-config.c
+++ jgmenu-4.4.1/src/jgmenu-config.c
@@ -25,12 +25,12 @@ struct option {
 
 static struct option options[] = {
 	{ "verbosity", "0" },
-	{ "stay_alive", "1" },
+	{ "stay_alive", "0" },
 	{ "persistent", "0" },
 	{ "hide_on_startup", "0" },
 	{ "csv_cmd", "apps" },
 	{ "tint2_look", "0" },
-	{ "position_mode", "fixed" },
+	{ "position_mode", "pointer" },
 	{ "edge_snap_x", "30" },
 	{ "terminal_exec", "x-terminal-emulator" },
 	{ "terminal_args", "-e" },
@@ -46,11 +46,11 @@ static struct option options[] = {
 	{ "menu_height_max", "0" },
 	{ "menu_height_mode", "static" },
 	{ "menu_padding_top", "5" },
-	{ "menu_padding_right", "5" },
-	{ "menu_padding_bottom", "5" },
-	{ "menu_padding_left", "5" },
-	{ "menu_radius", "1" },
-	{ "menu_border", "0" },
+	{ "menu_padding_right", "1" },
+	{ "menu_padding_bottom", "1" },
+	{ "menu_padding_left", "1" },
+	{ "menu_radius", "0" },
+	{ "menu_border", "1" },
 	{ "menu_halign", "left" },
 	{ "menu_valign", "bottom" },
 	{ "menu_gradient_pos", "none" },
@@ -61,18 +61,18 @@ static struct option options[] = {
 	{ "sub_padding_left", "auto" },
 	{ "sub_hover_action", "1" },
 	{ "item_margin_x", "3" },
-	{ "item_margin_y", "3" },
+	{ "item_margin_y", "2" },
 	{ "item_height", "25" },
 	{ "item_padding_x", "4" },
-	{ "item_radius", "1" },
+	{ "item_radius", "0" },
 	{ "item_border", "0" },
 	{ "item_halign", "left" },
-	{ "sep_height", "5" },
+	{ "sep_height", "3" },
 	{ "sep_halign", "left" },
 	{ "sep_markup", "" },
 	{ "font", "" },
 	{ "font_fallback", "xtg" },
-	{ "icon_size", "22" },
+	{ "icon_size", "16" },
 	{ "icon_text_spacing", "10" },
 	{ "icon_norm_alpha", "100" },
 	{ "icon_sel_alpha", "100" },
--- jgmenu-4.4.1.orig/src/jgmenu-init.sh
+++ jgmenu-4.4.1/src/jgmenu-init.sh
@@ -101,15 +101,21 @@ append__exit () {
 		say "append.csv already contains an exit entry"
 		return
 	fi
+	if pgrep openbox >/dev/null
+	then
+		append__add "Exit Openbox,openbox --exit,system-log-out"
+		append__add "Poweroff,obsession-logout,system-shutdown"
+	fi
+	if pgrep jwm >/dev/null
+	then
+		append__add "Exit JWM,jwm -exit,system-log-out"
+		append__add "Poweroff,obsession-logout,system-shutdown"
+	fi
 	if isinstalled systemctl
 	then
-		say "Append exit options (systemctl)"
-		append__add "Exit,^checkout(exit),system-shutdown"
+		append__add "Offsystem,^checkout(exit),system-shutdown"
 		append__add "^tag(exit)"
-		if pgrep openbox >/dev/null
-		then
-			append__add "exit to prompt,openbox --exit,system-log-out"
-		fi
+		say "Append exit options (systemctl)"
 		append__add "Suspend,systemctl -i suspend,system-log-out"
 		append__add "Reboot,systemctl -i reboot,system-reboot"
 		append__add "Poweroff,systemctl -i poweroff,system-shutdown"
@@ -123,12 +129,12 @@ append_items () {
 	append__exit
 }
 
-prepend__terminals="x-terminal-emulator terminator uxterm xterm gnome-terminal \
-lxterminal qterminal urxvt rxvt xfce4-terminal konsole sakura st"
+prepend__terminals="x-terminal-emulator sakura terminator uxterm xterm \
+lxterminal qterminal urxvt rxvt xfce4-terminal konsole st"
 
-prepend__browsers="firefox iceweasel chromium midori"
+prepend__browsers="x-www-browser www-broser firefox iceweasel chromium midori"
 
-prepend__file_managers="pcmanfm thunar nautilus caja"
+prepend__file_managers="x-file-manager pcmanfm caja thunar nautilus"
 
 prepend__add () {
 	say "$@" >>"${prepend_file}"
@@ -179,7 +185,7 @@ prepend__add_browser () {
 	do
 		if isinstalled "${x}"
 		then
-			prepend__add "Browser,${x},${x}"
+			prepend__add "Internet,${x},${x}"
 			printf 'Prepend %b\n' "${x}"
 			break
 		fi
--- jgmenu-4.4.1.orig/src/jgmenu-themes.sh
+++ jgmenu-4.4.1/src/jgmenu-themes.sh
@@ -1,6 +1,7 @@
 #!/bin/sh
 
 valid_args="\
+	venenux \
 	archlabs_1803_config \
 	bunsenlabs_hydrogen_config \
 	bunsenlabs_helium_config \
@@ -29,35 +30,69 @@ Output config files for themes
 	exit 0
 }
 
+venenux_config () {
+cat <<'EOF'
+stay_alive           = 0
+tint2_look           = 0
+position_mode        = pointer
+terminal_exec        = x-terminal-emulator
+terminal_args        = -e
+menu_width           = 200
+menu_padding_top     = 5
+menu_padding_right   = 1
+menu_padding_bottom  = 4
+menu_padding_left    = 1
+menu_radius          = 0
+menu_border          = 1
+menu_halign          = left
+sub_hover_action     = 1
+item_margin_y        = 2
+item_height          = 20
+item_padding_x       = 4
+item_radius          = 0
+item_border          = 0
+sep_height           = 3
+font                = Sans 10
+icon_size            = 16
+color_menu_bg        = #2b303b 100
+color_norm_bg        = #2b303b 0
+color_norm_fg        = #ffffff 100
+color_sel_bg         = #66A1F8 60
+color_sel_fg         = #ffffff 100
+color_sep_fg         = #8fa1b3 40
+EOF
+}
+
+
 archlabs_1803_config () {
 cat <<'EOF'
-stay_alive           = 1
+stay_alive           = 0
 tint2_look           = 0
-position_mode        = fixed
-terminal_exec        = termite
+position_mode        = pointer
+terminal_exec        = x-terminal-emulator
 terminal_args        = -e
 menu_width           = 200
-menu_padding_top     = 10
-menu_padding_right   = 2
-menu_padding_bottom  = 5
-menu_padding_left    = 2
+menu_padding_top     = 5
+menu_padding_right   = 1
+menu_padding_bottom  = 4
+menu_padding_left    = 1
 menu_radius          = 0
 menu_border          = 1
 menu_halign          = left
 sub_hover_action     = 1
-item_margin_y        = 5
-item_height          = 30
-item_padding_x       = 8
+item_margin_y        = 2
+item_height          = 20
+item_padding_x       = 4
 item_radius          = 0
 item_border          = 0
-sep_height           = 5
+sep_height           = 3
 font                 = Ubuntu 12px
-icon_size            = 24
+icon_size            = 16
 color_menu_bg        = #2b303b 100
 color_norm_bg        = #2b303b 0
-color_norm_fg        = #8fa1b3 100
-color_sel_bg         = #8fa1b3 60
-color_sel_fg         = #2b303b 100
+color_norm_fg        = #ffffff 100
+color_sel_bg         = #66A1F8 60
+color_sel_fg         = #ffffff 100
 color_sep_fg         = #8fa1b3 40
 EOF
 }
